diff --git a/cm.sh b/cm.sh
index 0233cd7756f88fdd3989a9412839a133dc5b0393..af586035ad08c0ba4ce796f6ffaafb7e412578dd 100755
--- a/cm.sh
+++ b/cm.sh
@@ -927,6 +927,9 @@ function public_transfer(){
 
 cd $( dirname $0 )
 
+test -z "${CM_diracme}" && CM_diracme=./certs
+test -z "${CM_dircsr}"  && CM_dircsr=./csr
+
 cat <<ENDOFHEADER
 $line
 
@@ -937,7 +940,6 @@ $line
 
 ENDOFHEADER
 
-
 while [[ "$#" -gt 0 ]]; do case $1 in
 
     -a|--alias)   
@@ -991,8 +993,6 @@ while [[ "$#" -gt 0 ]]; do case $1 in
        ;;
 esac; done
 
-which openssl >/dev/null || exit 1
-
 . ./inc_config.sh
 if [ $? -ne 0 ]; then
     _we "Loading the config failed."
@@ -1001,12 +1001,11 @@ if [ $? -ne 0 ]; then
     exit 1
 fi
 
+which openssl >/dev/null || exit 1
+
 _testUser
 _testStaging
 
-test -z "${CM_diracme}" && CM_diracme=./certs
-test -z "${CM_dircsr}"  && CM_dircsr=./csr
-
 grep "function public_$1" "$( basename "$0" )" >/dev/null 
 if [ $# -gt 0 -a $? -eq 0 ]; then
     # _wd $*
diff --git a/docs/30_Usage.md b/docs/30_Usage.md
index f172c21e0309c5a7c192cf62abe7865442695c6d..e111535c4e14554013427a4e2fc4692286efe256 100644
--- a/docs/30_Usage.md
+++ b/docs/30_Usage.md
@@ -14,7 +14,7 @@ Without -h or --help it shows a help.
 _______________________________________________________________________________
 
 
-                - - - ---===>>> CERT MANAGER - v2025-01-08 <<<===--- - - -
+          - - - ---===>>> CERT MANAGER - v2025-01-08 <<<===--- - - -
 
 _______________________________________________________________________________
 
@@ -31,7 +31,7 @@ certificate must be created, renewed or re-created.
 
 SYNTAX:
 
-    dev_cm.sh [OPTIONS] ACTION <FQDN> [<ALIASES>]
+    cm.sh [OPTIONS] ACTION <FQDN> [<ALIASES>]
 
 OPTIONS:
 
@@ -62,7 +62,7 @@ The ACTIONs for SINGLE certificate handlings are:
         The first FQDN is a hostname to generate the certificate for. 
         Following multiple hostnames will be used as DNS aliases in the 
         same certificate.
-        It updates files in 
+        It updates files in ./certs
 
     ensure <FQDN> [.. <FQDN-N>] 
         It ensures that a certificate with given aliases exists and is up to date.
@@ -81,7 +81,7 @@ The ACTIONs for SINGLE certificate handlings are:
 
     renew <FQDN>
         renew (an already added) certificate
-        and update files in 
+        and update files in ./certs
 
     show <FQDN>
         show place of certificate data and show basic certificate data
@@ -105,7 +105,7 @@ ACTIONs for ALL certs
 
     renew-all
         renew all certificates (fast mode - without --force)
-        and update files in 
+        and update files in ./certs
         It is useful for a cronjob.
 
 other ACTIONs